/*  MESSENGER-2561 */

.mx_BwiEncIcon {
    width: 24px;
    height: 24px;
    margin: 0 9px;
    position: relative;
    display: block;

    &::before,
    &::after {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        mask-repeat: no-repeat;
        mask-position: center;
        mask-size: contain;
    }
}

/* .mx_CompleteSecurity_headerIcon {
    width: 32px !important;
    height: 32px !important;
} */

.mx_AccessSecretStorageDialog_securePhraseTitle::before {
    mask-image: url("$(res)/img/bwi/recovery_key.svg") !important;
}

.mx_CreateSecretStorageDialog_optionIcon_securePhrase {
    mask-image: url("$(res)/img/bwi/recovery_key.svg") !important;
    top: 6px !important;
}

.mx_CreateSecretStorageDialog_securePhraseTitle::before {
    mask-image: url("$(res)/img/bwi/recovery_key.svg") !important;
}

/*  white infill for the transparency */
.mx_BwiEncIcon::before {
    background-color: $header-panel-bg-color;
    mask-image: url("$(res)/img/bwi/recovery_key.svg");
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: 80%;
}

/*  transparent-looking border surrounding the shield for when overlain over avatars */
.mx_BwiEncIcon_bordered {
    mask-image: url("$(res)/img/bwi/recovery_key.svg");
    background-color: $header-panel-bg-color;

    /*  shrink the actual badge */
    &::after {
        mask-size: 75%;
    }
    /*  shrink the infill of the badge */
    &::before {
        mask-size: 60%;
    }
}

.mx_BwiEncIcon::after {
    mask-image: url("$(res)/img/bwi/recovery_key.svg");
    background-color: $primary-content;
}
